Skip to main content
GET
/
v2
/
paymaster
/
rate
/
{chainId}
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.paymaster.lucidGetPaymasterRate({
    chainId: "<id>",
  });

  console.log(result);
}

run();
{
  "success": true,
  "exchangeRate": 123,
  "chainId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

chainId
string
required

EVM chain identifier for exchange rate lookup

Response

Exchange rate

success
boolean
required
exchangeRate
number

LUCID per ETH rate

chainId
string